Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf
Class PromptTextUI.PainterHighlighter

    java.lang.Object
      org.jdesktop.swingx.plaf.PromptTextUI.PainterHighlighter

All Implemented Interfaces:
  javax.swing.text.Highlighter

Enclosing class:
  PromptTextUI

    protected class PromptTextUI.PainterHighlighter

extends java.lang.Object
implements javax.swing.text.Highlighter

Nested Class Summary

Nested classes/interfaces inherited from interface javax.swing.text.Highlighter
`javax.swing.text.Highlighter.Highlight, javax.swing.text.Highlighter.HighlightPainter`

Constructor Summary
`PromptTextUI.PainterHighlighter(Painter painter)`

Method Summary
`java.lang.Object` | `addHighlight(int p0, int p1, javax.swing.text.Highlighter.HighlightPainter p)`
`void` | `changeHighlight(java.lang.Object tag, int p0, int p1)`
`void` | `deinstall(javax.swing.text.JTextComponent c)`
`javax.swing.text.Highlighter.Highlight[]` | `getHighlights()`
`void` | `install(javax.swing.text.JTextComponent c)`
`void` | `paint(java.awt.Graphics g)`
`void` | `removeAllHighlights()`
`void` | `removeHighlight(java.lang.Object tag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PromptTextUI.PainterHighlighter

    public PromptTextUI.PainterHighlighter(Painter painter)

Method Detail

### addHighlight

    public java.lang.Object addHighlight(int p0,
                                         int p1,
                                         javax.swing.text.Highlighter.HighlightPainter p)
                                  throws javax.swing.text.BadLocationException

  Specified by:
    `addHighlight` in interface `javax.swing.text.Highlighter`
  Throws:
    `javax.swing.text.BadLocationException`

### changeHighlight

    public void changeHighlight(java.lang.Object tag,
                                int p0,
                                int p1)
                         throws javax.swing.text.BadLocationException

  Specified by:
    `changeHighlight` in interface `javax.swing.text.Highlighter`
  Throws:
    `javax.swing.text.BadLocationException`

### deinstall

    public void deinstall(javax.swing.text.JTextComponent c)

  Specified by:
    `deinstall` in interface `javax.swing.text.Highlighter`

### getHighlights

    public javax.swing.text.Highlighter.Highlight[] getHighlights()

  Specified by:
    `getHighlights` in interface `javax.swing.text.Highlighter`

### install

    public void install(javax.swing.text.JTextComponent c)

  Specified by:
    `install` in interface `javax.swing.text.Highlighter`

### paint

    public void paint(java.awt.Graphics g)

  Specified by:
    `paint` in interface `javax.swing.text.Highlighter`

### removeAllHighlights

    public void removeAllHighlights()

  Specified by:
    `removeAllHighlights` in interface `javax.swing.text.Highlighter`

### removeHighlight

    public void removeHighlight(java.lang.Object tag)

  Specified by:
    `removeHighlight` in interface `javax.swing.text.Highlighter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.